Bug 1433474 - wrong requires of httpd24-httpd and httpd24-httpd-tools
Summary: wrong requires of httpd24-httpd and httpd24-httpd-tools
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: httpd
Version: httpd24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.4
Assignee: Luboš Uhliarik
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 17:42 UTC by Jan Houska
Modified: 2017-04-26 10:25 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-26 10:25:11 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1161 normal SHIPPED_LIVE Moderate: httpd24-httpd security, bug fix, and enhancement update 2017-04-26 14:19:21 UTC

Description Jan Houska 2017-03-17 17:42:05 UTC
Description of problem:
Test sanity test  /CoreOS/scl-utils/Sanity/general-provides-requires  found  possible regressions in requires.



Version-Release number of selected component (if applicable):
httpd24-httpd-2.4.25-8.el7.x86_64

How reproducible:
always


Steps to Reproduce:
1.
2.
3.

Actual results:
:: [ 15:05:15 ] :: Package versions:
:: [ 15:05:15 ] ::   httpd24-httpd-2.4.25-8.el7.x86_64
:: [   PASS   ] :: all provides are expected 
:: [   FAIL   ] :: these requires are unexpected: 
:: [ 15:05:16 ] :: [ INFO    ] :: libsystemd.so.0()(64bit)
:: [ 15:05:16 ] :: [ INFO    ] :: libsystemd.so.0(LIBSYSTEMD_209)(64bit)
 
:: [ 15:05:16 ] :: httpd24-httpd-devel
httpd24-httpd-devel-2.4.25-8.el7.x86_64

... AND ...

: [ 15:05:17 ] :: Package versions:
:: [ 15:05:17 ] ::   httpd24-httpd-tools-2.4.25-8.el7.x86_64
:: [   PASS   ] :: all provides are expected 
:: [   FAIL   ] :: these requires are unexpected: 
:: [ 15:05:17 ] :: [ INFO    ] :: libsystemd.so.0()(64bit)
 
:: [ 15:05:17 ] :: httpd24-libcurl
httpd24-libcurl-7.47.1-1.1.el7.x86_64
:: [   PASS   ] :: Checking for the presence of httpd24-libcurl rpm 
:: [ 15:05:17 ] :: Package versions:



Expected results:
Test should pass or be extended. 

Additional info:
I need info if the fail is expected or it is a bug.

Comment 10 errata-xmlrpc 2017-04-26 10:25:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1161


Note You need to log in before you can comment on or make changes to this bug.